Subject: Re: [PATCH 3/4] ARM: change vmalloc_min to vmalloc_start

From: "Russell King (Oracle)" <[email-masked]>
Date: Fri, 28 May 2021 10:55:58 +0100

On Tue, May 18, 2021 at 06:32:43PM -0400, Nicolas Pitre wrote:
> On Tue, 18 May 2021, Nicolas Pitre wrote:
> 
> > On Wed, 19 May 2021, Linus Walleij wrote:
> > 
> > > On Tue, May 18, 2021 at 2:15 PM Russell King (Oracle)
> > > <[email-masked]> wrote:
> > > 
> > > > Change the current vmalloc_min, which is supposed to be the lowest
> > > > address of vmalloc space including the VMALLOC_OFFSET, to vmalloc_start
> > > > which does not include VMALLOC_OFFSET.
> > > >
> > > > Signed-off-by: Russell King (Oracle) <[email-masked]>
> > > 
> > > Reviewed-by: Linus Walleij <[email-masked]>
> > > 
> > > > +static unsigned long __initdata vmalloc_start = VMALLOC_END - (240 << 20);
> > > 
> > > When I first read this it took me some time to figure out what was
> > > going on here, so if you have time, please fold in a comment
> > > with some explanation of that (240 << 20) thing, in some blog
> > > post I described it as "an interesting way to write 0x0f000000"
> > > but I suppose commit 0536bdf33faf chose this way for a
> > > specific reason? (Paging Nico if he can explain it.)
> > 
> > That's an alternative (and deprecated) way to write MB(240).
> 
> And it seems that MB() isn't globally defined either. Oh well.

I could add a patch on the end of the series changing it to 240 * SZ_1M
which will likely be clearer.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel